Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class WStringValueHelper

    java.lang.Object
      |
      +--org.omg.CORBA.WStringValueHelper

All Implemented Interfaces:
  BoxedValueHelper

public class WStringValueHelper
extends java.lang.Object
implements BoxedValueHelper

Helper class for : WStringValue

Author:
  OpenORB Compiler

Constructor Summary
`WStringValueHelper()`

Method Summary
`static java.lang.String` | `extract(Any a)` Extract WStringValue from an any
`java.lang.String` | `get_id()` Return the value id
`static java.lang.String` | `id()` Return the WStringValue IDL ID
`static void` | `insert(Any a, java.lang.String t)` Insert WStringValue into an any
`java.io.Serializable` | `read_value(InputStream is)` Read a value from an input stream
`static java.lang.String` | `read(InputStream istream)` Read WStringValue from a marshalled stream
`static TypeCode` | `type()` Return the WStringValue TypeCode
`void` | `write_value(OutputStream os, java.io.Serializable value)` Write a value into an output stream
`static void` | `write(OutputStream ostream, java.lang.String value)` Write WStringValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WStringValueHelper

    public WStringValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String t)

  Insert WStringValue into an any
  Parameters:
    `a` - an any
    `t` - WStringValue value

### extract

    public static java.lang.String extract(Any a)

  Extract WStringValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted WStringValue value

### type

    public static TypeCode type()

  Return the WStringValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the WStringValue IDL ID
  Returns:
    an ID

### read

    public static java.lang.String read(InputStream istream)

  Read WStringValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed WStringValue value

### write

    public static void write(OutputStream ostream,
                             java.lang.String value)

  Write WStringValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - WStringValue value

### read_value

    public java.io.Serializable read_value(InputStream is)

  Read a value from an input stream
  Specified by:
    `read_value` in interface `BoxedValueHelper`

### write_value

    public void write_value(OutputStream os,
                            java.io.Serializable value)

  Write a value into an output stream
  Specified by:
    `write_value` in interface `BoxedValueHelper`

### get_id

    public java.lang.String get_id()

  Return the value id
  Specified by:
    `get_id` in interface `BoxedValueHelper`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD